rpm installation?

Kent Loobey kent at darkwing.uoregon.edu
Sat Apr 3 10:33:31 UTC 2004


On Friday 02 April 2004 16:19, Luc Bouchard wrote:
> On Fri, 2004-04-02 at 18:57, Kent Loobey wrote:
> > When I tried this I get:
> >
> > root:/var/spool/localyum# yum update
> > Gathering header information file(s) from server(s)
> > Server: Fedora Core 1 -- Fedora US mirror
> > Server: Fedora Linux (stable) for Fedora Core 1 -- Fedora US mirror
> > Server: Fedora Core 1 updates -- Fedora US mirror
> > Server: Livna.org Fedora Compatible Packages (stable)
> > Server: Livna.org Fedora Compatible Packages (testing)
> > Server: local rpm repository
> > retrygrab() failed for:
> >   file://var/spool/localyum/headers/header.info
> >   Executing failover method
> > failover: out of servers to try
> > Error getting file file://var/spool/localyum/headers/header.info
> > [Errno 5] OSError: [Errno 2] No such file or directory:
> > '/spool/localyum/headers/header.info'
> > root:/var/spool/localyum#
> >
> > It seems to be expecting a headers subdirectory with some info in it but
> > I am not sure how I can get the header.info created...
>
> run the following command in /var/spool/localyum.
>
> yum-arch -dv .
>
> Luc Bouchard

I get:

root:/var/spool/localyum# yum-arch -dv .
Checking dependencies
Checking deps 1/2 complete
Checking deps 2/2 complete
errors found
 
Errors within the dir(s):
 .
   depcheck: package xmms-aac needs faad2 = 2.0-1.rc3.rhfc1.ccrma
   depcheck: package xmms-aac needs id3lib
   depcheck: package xmms-aac needs libX11.so.6
   depcheck: package xmms-aac needs libXext.so.6
   depcheck: package xmms-aac needs libXi.so.6
   depcheck: package xmms-aac needs libc.so.6
   depcheck: package xmms-aac needs libc.so.6(GLIBC_2.0)
   depcheck: package xmms-aac needs libc.so.6(GLIBC_2.1)
   depcheck: package xmms-aac needs libc.so.6(GLIBC_2.1.3)
   depcheck: package xmms-aac needs libdl.so.2
   depcheck: package xmms-aac needs libfaad.so.0
   depcheck: package xmms-aac needs libgcc_s.so.1
   depcheck: package xmms-aac needs libgcc_s.so.1(GCC_3.0)
   depcheck: package xmms-aac needs libgdk-1.2.so.0
   depcheck: package xmms-aac needs libglib-1.2.so.0
   depcheck: package xmms-aac needs libgmodule-1.2.so.0
   depcheck: package xmms-aac needs libgtk-1.2.so.0
   depcheck: package xmms-aac needs libid3-3.8.so.3
   depcheck: package xmms-aac needs libm.so.6
   depcheck: package xmms-aac needs libmp4v2.so.0
   depcheck: package xmms-aac needs libpthread.so.0
   depcheck: package xmms-aac needs libpthread.so.0(GLIBC_2.0)
   depcheck: package xmms-aac needs libpthread.so.0(GLIBC_2.1)
   depcheck: package xmms-aac needs libstdc++.so.5
   depcheck: package xmms-aac needs libstdc++.so.5(CXXABI_1.2)
   depcheck: package xmms-aac needs libstdc++.so.5(GLIBCPP_3.2)
   depcheck: package xmms-aac needs libxmms.so.1
   depcheck: package xmms-aac needs libz.so.1
   depcheck: package xmms-aac needs xmms
   depcheck: package RealPlayer9 needs /usr/sbin/update-alternatives
   depcheck: package RealPlayer9 needs /bin/sh
   depcheck: package RealPlayer9 needs /bin/sh
   depcheck: package RealPlayer9 needs ld-linux.so.2
   depcheck: package RealPlayer9 needs libc.so.6
   depcheck: package RealPlayer9 needs libdl.so.2
   depcheck: package RealPlayer9 needs libICE.so.6
   depcheck: package RealPlayer9 needs libm.so.6
   depcheck: package RealPlayer9 needs libpthread.so.0
   depcheck: package RealPlayer9 needs libSM.so.6
   depcheck: package RealPlayer9 needs libX11.so.6
   depcheck: package RealPlayer9 needs libXext.so.6
   depcheck: package RealPlayer9 needs libXm.so.2
   depcheck: package RealPlayer9 needs libXmu.so.6
   depcheck: package RealPlayer9 needs libXp.so.6
   depcheck: package RealPlayer9 needs libXt.so.6
   depcheck: package RealPlayer9 needs /bin/sh
   depcheck: package RealPlayer9 needs libc.so.6(GLIBC_2.0)
   depcheck: package RealPlayer9 needs libc.so.6(GLIBC_2.1)
   depcheck: package RealPlayer9 needs libdl.so.2(GLIBC_2.0)
   depcheck: package RealPlayer9 needs libdl.so.2(GLIBC_2.1)
   depcheck: package RealPlayer9 needs libpthread.so.0(GLIBC_2.0)
root:/var/spool/localyum# yum update
Gathering header information file(s) from server(s)
Server: Fedora Core 1 -- Fedora US mirror
Server: Fedora Linux (stable) for Fedora Core 1 -- Fedora US mirror
Server: Fedora Core 1 updates -- Fedora US mirror
Server: Livna.org Fedora Compatible Packages (stable)
Server: Livna.org Fedora Compatible Packages (testing)
Server: local rpm repository
retrygrab() failed for:
  file://var/spool/localyum/headers/header.info
  Executing failover method
failover: out of servers to try
Error getting file file://var/spool/localyum/headers/header.info
[Errno 5] OSError: [Errno 2] No such file or directory: 
'/spool/localyum/headers/header.info'
root:/var/spool/localyum# yum install xmms
Gathering header information file(s) from server(s)
Server: Fedora Core 1 -- Fedora US mirror
Server: Fedora Linux (stable) for Fedora Core 1 -- Fedora US mirror
Server: Fedora Core 1 updates -- Fedora US mirror
Server: Livna.org Fedora Compatible Packages (stable)
Server: Livna.org Fedora Compatible Packages (testing)
Server: local rpm repository
retrygrab() failed for:
  file://var/spool/localyum/headers/header.info
  Executing failover method
failover: out of servers to try
Error getting file file://var/spool/localyum/headers/header.info
[Errno 5] OSError: [Errno 2] No such file or directory: 
'/spool/localyum/headers/header.info'
root:/var/spool/localyum# kwrite /etc/yum.conf
...
I commented out the references to /var/spool/localyum/
...
root:/var/spool/localyum# yum install xmms
Gathering header information file(s) from server(s)
Server: Fedora Core 1 -- Fedora US mirror
Server: Fedora Linux (stable) for Fedora Core 1 -- Fedora US mirror
Server: Fedora Core 1 updates -- Fedora US mirror
Server: Livna.org Fedora Compatible Packages (stable)
Server: Livna.org Fedora Compatible Packages (testing)
Finding updated packages
Downloading needed headers
xmms is installed and is the latest version.
No actions to take
root:/var/spool/localyum#







More information about the users mailing list